package top.dixxe.bombezhka;

import org.bukkit.plugin.java.JavaPlugin;

import top.dixxe.bombezhka.events.TelegramMessageEvent;
import top.dixxe.bombezhka.listeners.RocketWarningListener;
import top.dixxe.bombezhka.listeners.TelegramMessageListener;

public class Plugin extends JavaPlugin {
    @Override
    public void onEnable() {
        saveDefaultConfig();
        String botToken = getConfig().getString("telegram.bot-token");
        long chatId = getConfig().getLong("telegram.chat-id");
        getLogger().info("has been baked by @zelenichai ");

        TelegramMessageListener telegramListener = new TelegramMessageListener(this, botToken, chatId);
        getServer().getPluginManager().registerEvents(telegramListener, this);
        telegramListener.startPolling();

        // Register event handler for your custom event
        RocketWarningListener rwListener = new RocketWarningListener(this);
        getServer().getPluginManager().registerEvents(rwListener, this);
    }

    @Override
    public void onDisable() {
        // Save any necessary data
        saveConfig();
    }
}

