package top.dixxe.bombezhka.assets;

import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.entity.TNTPrimed;
import org.bukkit.util.Vector;
import java.util.Random;

public class TntSpawner {
    private static final int CHUNK_RADIUS = 6; // 6 chunks = 96 blocks

    public static String spawnTntNearPlayer(Player player) {
        World world = player.getWorld();
        Location playerLoc = player.getLocation();
        Random random = new Random();

        // Generate random offset within 6 chunks (96 blocks)
        int offsetX = (random.nextInt(CHUNK_RADIUS * 2 + 1) - CHUNK_RADIUS) * 16;
        int offsetZ = (random.nextInt(CHUNK_RADIUS * 2 + 1) - CHUNK_RADIUS) * 16;

        // Find the highest safe Y coordinate at target location
        Location tntLocation = new Location(
                world,
                playerLoc.getX() + offsetX,
                0,
                playerLoc.getZ() + offsetZ
        );

        tntLocation.setY(world.getHighestBlockYAt(tntLocation));

        // Center TNT in the block
        tntLocation.add(0.5, 1, 0.5);

        // Spawn primed TNT with 4-second fuse
        TNTPrimed tnt = world.spawn(tntLocation, TNTPrimed.class);
        tnt.setFuseTicks(1200); // 80 ticks = 4 seconds

        // Broadcast coordinates
        String coords = String.format("[X: %d, Y: %d, Z: %d]",
                tntLocation.getBlockX(),
                tntLocation.getBlockY(),
                tntLocation.getBlockZ()
        );
        return  coords;
    }
}
